com.elastisys.scale.cloudpool.api.types

## Class Machine.ToShortMachineString

- java.lang.Object
- - com.elastisys.scale.cloudpool.api.types.Machine.ToShortMachineString

All Implemented Interfaces:
  com.google.common.base.Function<Machine,String>

Enclosing class:
  Machine

    public static class Machine.ToShortMachineString
    extends Object
    implements com.google.common.base.Function<Machine,String>

A `Function` that, for a given `Machine`, returns a string representation that excludes any `Machine` meta data (which can produce quite some log noise).

### Constructor Summary

Constructors
Constructor and Description
`ToShortMachineString()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `apply(Machine machine)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.common.base.Function

`equals`

### Constructor Detail

#### ToShortMachineString

    public ToShortMachineString()

### Method Detail

#### apply

    public String apply(Machine machine)

Specified by:
  `apply` in interface `com.google.common.base.Function<Machine,String>`